Update Summary
curl --request PATCH \
--url https://api.mokaru.ai/v1/summaries/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"content": "<string>"
}
'import requests
url = "https://api.mokaru.ai/v1/summaries/{id}"
payload = {
"title": "<string>",
"content": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', content: '<string>'})
};
fetch('https://api.mokaru.ai/v1/summaries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Summaries
Update Summary
Update an existing professional summary
PATCH
/
v1
/
summaries
/
{id}
Update Summary
Overview
Update an existing professional summary. Only provided fields are modified.Scope required:
summaries:write | Rate limit: 20 requests/minRequest
PATCH /v1/summaries/clx...
Content-Type: application/json
Path Parameters
string
required
The summary’s unique ID
Body Parameters
string
Internal label for the summary (e.g. “Backend role”). (max 100 characters) (nullable)
string
The actual summary text shown on the CV.
Query Parameters
string
Target a specific resume by its id (from
list-resumes). Omit to use your base/default resume; the resume must be self-contained.Response
{
"success": true,
"id": "clx..."
}
Was this page helpful?
⌘I
